This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 554261 - Publican not generating correct POTs from English XML files
Publican not generating correct POTs from English XML files
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Jeff Fearn
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 01:56 EST by Ankit Patel
Modified: 2010-11-23 22:58 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-28 19:19:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ankit Patel 2010-01-11 01:56:11 EST
Description of problem:

I have checked out Installation Guide for RHEL6 (from https://svn.devel.redhat.com/repos/ecs/Red_Hat_Enterprise_Linux/6.0/Installation_Guide) and tried to update the pot with "publican update_pot" command. It did create POT files, but noticed that there are many files with no messages for translation while there are messages in English XML files for it. 

e.g. compare below
* POT file - https://svn.devel.redhat.com/repos/ecs/Red_Hat_Enterprise_Linux/6.0/Installation_Guide/pot/X86_Uninstall-Windows-bootloader-para-1.pot
* English file - https://svn.devel.redhat.com/repos/ecs/Red_Hat_Enterprise_Linux/6.0/Installation_Guide/en-US/X86_Uninstall-Windows-bootloader-para-1.xml

* POT file - https://svn.devel.redhat.com/repos/ecs/Red_Hat_Enterprise_Linux/6.0/Installation_Guide/pot/X86_Uninstall-Windows-bootloader-para-2.pot
* English file - https://svn.devel.redhat.com/repos/ecs/Red_Hat_Enterprise_Linux/6.0/Installation_Guide/en-US/X86_Uninstall-Windows-bootloader-para-2.xml

* POT file - https://svn.devel.redhat.com/repos/ecs/Red_Hat_Enterprise_Linux/6.0/Installation_Guide/pot/X86_Uninstall-Windows-bootloader-para-3.pot
* English file - https://svn.devel.redhat.com/repos/ecs/Red_Hat_Enterprise_Linux/6.0/Installation_Guide/en-US/X86_Uninstall-Windows-bootloader-para-3.xml

There is a long list of such files.

Version-Release number of selected component (if applicable):
[ankit@ankit Installation_Guide]$ publican -v
version=1.3
[ankit@ankit Installation_Guide]$ rpm -q publican
publican-1.3-0.el5
[ankit@ankit Installation_Guide]$ cat /etc/redhat-release 
Red Hat Enterprise Linux Client release 5.4 (Tikanga)
[ankit@ankit Installation_Guide]$ 


How reproducible:
Everytime

Steps to Reproduce:
1. Check out RHEL6 Installation Guide
2. Run "publican update_pot"
3. And observe the POT files
  
Actual results:
You will notice many of the POT files have no message marked for translation

Expected results:
POT file should have messages for translation

Additional info:
Comment 1 Ruediger Landmann 2010-01-14 23:32:52 EST
This only appears to happen when the root node of an XML file is <para> or <title>.
Comment 2 Jeff Fearn 2010-01-18 00:51:31 EST
Changed logic in message parsing code to process root XML nodes.

workaround: stop breaking things down so tiny Mr Landmann ;)
Comment 3 Ankit Patel 2010-01-18 03:53:55 EST
(In reply to comment #2)
> Changed logic in message parsing code to process root XML nodes.
> 
> workaround: stop breaking things down so tiny Mr Landmann ;)    

Thanks for solving the issue Jeff.

Could you please let's know when the new version (1.4) is out?

Thanks!
Ankit
Comment 4 Fedora Update System 2010-01-28 21:05:29 EST
publican-1.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.4-1.fc12
Comment 5 Fedora Update System 2010-01-28 21:06:46 EST
publican-1.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.4-1.fc11
Comment 6 Fedora Update System 2010-01-31 20:13:36 EST
publican-1.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-01-31 20:21:57 EST
publican-1.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-02-26 00:24:08 EST
publican-1.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc12
Comment 9 Fedora Update System 2010-02-26 00:27:45 EST
publican-1.5-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc13
Comment 10 Fedora Update System 2010-02-26 00:27:57 EST
publican-1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc11
Comment 11 Fedora Update System 2010-02-26 00:28:04 EST
publican-1.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc12
Comment 12 Fedora Update System 2010-02-26 00:30:15 EST
publican-1.5-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc13
Comment 13 Fedora Update System 2010-02-26 00:34:20 EST
publican-1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc11
Comment 14 Fedora Update System 2010-02-26 22:28:56 EST
publican-1.5-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-02-26 22:44:45 EST
publican-1.5-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.